Skip to content

getMethodOperationsByMakeMethodId

READ

Get method operations by make method id.

POST /api/v1/items/getMethodOperationsByMakeMethodId
curl -X POST '<your-host>/api/v1/items/getMethodOperationsByMakeMethodId' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "makeMethodId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "description": "string",
      "id": "string",
      "inspectionDocumentId": "string",
      "laborTime": 0,
      "laborUnit": "Hours/Piece",
      "machineTime": 0,
      "machineUnit": "Hours/Piece",
      "makeMethodId": "string",
      "operationLeadTime": 0,
      "operationMinimumCost": 0,
      "operationOrder": "After Previous",
      "operationSupplierProcessId": "string",
      "operationType": "Process",
      "operationUnitCost": 0,
      "order": 0,
      "procedureId": "string",
      "processId": "string",
      "setupTime": 0,
      "setupUnit": "Hours/Piece",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string",
      "workCenterId": "string",
      "workInstruction": "…",
      "methodOperationTool": [
        {
          "companyId": "string",
          "createdAt": "string",
          "createdBy": "string",
          "id": "string",
          "operationId": "string",
          "quantity": 0,
          "toolId": "string",
          "updatedAt": "string",
          "updatedBy": "string",
          "methodOperationToolStep": [
            {
              "methodOperationStepId": "string"
            }
          ]
        }
      ],
      "methodOperationParameter": [
        {
          "companyId": "string",
          "createdAt": "string",
          "createdBy": "string",
          "id": "string",
          "key": "string",
          "operationId": "string",
          "updatedAt": "string",
          "updatedBy": "string",
          "value": "string"
        }
      ],
      "methodOperationStep": [
        {
          "companyId": "string",
          "createdAt": "string",
          "createdBy": "string",
          "description": "…",
          "fileTypes": [
            "string"
          ],
          "id": "string",
          "listValues": [
            "string"
          ],
          "maxValue": 0,
          "minValue": 0,
          "name": "string",
          "operationId": "string",
          "required": true,
          "sortOrder": 0,
          "type": "Value",
          "unitOfMeasureCode": "string",
          "updatedAt": "string",
          "updatedBy": "string",
          "methodOperationStepSlide": [
            {
              "annotations": "…",
              "caption": "string",
              "companyId": "string",
              "createdAt": "string",
              "createdBy": "string",
              "id": "string",
              "imagePath": "string",
              "size": "string",
              "sortOrder": 0,
              "stepId": "string",
              "updatedAt": "string",
              "updatedBy": "string"
            }
          ]
        }
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "makeMethodId": {
      "type": "string"
    }
  },
  "required": [
    "makeMethodId"
  ]
}